var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Store, StoreConfig } from '@datorama/akita';
import * as O from 'fp-ts/Option';
import { produce } from 'immer';
export const BenefitCategories = [
  'Appliances & Electronics',
  'Automotive',
  'Banking',
  'Clothing & Footwear',
  'Clubs',
  'Entertainment',
  'Food, Drink & Groceries',
  'Fuel',
  'Health, Beauty & Fitness',
  'Homeware & Hardware',
  'Learning',
  'Pets',
  'Shopping & Retail',
  'Social',
  'Sports & Leisure',
  'Technology',
  'Travel & Accommodation',
  'Wellbeing & Health Services',
  'Other',
  'None'
];
function createInitialState() {
  return {
    manageBenefitsPageState: {
      enabledBenefits: [],
      disabledBenefits: []
    },
    selectedBenefit: O.none,
    draftBenefit: O.none
  };
}
let ManageBenefitsStore = class ManageBenefitsStore extends Store {
  constructor() {
    super(createInitialState());
  }
};
ManageBenefitsStore = __decorate([
  StoreConfig({ name: 'manage-benefits', resettable: true, producerFn: produce })
], ManageBenefitsStore);
export { ManageBenefitsStore };
export default new ManageBenefitsStore();
